function y = sumofsq(x)
% SUMOFSQ takes the sum of squares
%  Y = SUMOFSQ(X) applies sum of squares to matrix X along the
%   last dimension.
%
% (c) jycheng@mrsrl.stanford.edu 2011

% SVN details:
%  $Date: 2012-01-25 13:43:28 -0800 (Wed, 25 Jan 2012) $
%  $Revision: 1022 $
%  $Author: jycheng $
%  $Id $

y = sqrt(sum(abs(x.*conj(x)),ndims(x)));
